from paste.script.templates import var
from paste.script.templates import Template
 
class Package(Template):
  """Package template"""
  _template_dir = 'tmpl'
  summary = "Plone 4 theme with a test environment"
  use_cheetah = True
 
  vars = [
  var('namespace_package', 'Namespace package',
  default='plonetheme'),
  var('package', 'The package contained, usualily your site name',
  default=''),
  var('title_theme', 'Name of your theme skin', default=''),
  var('version', 'Version', default='1.0'),
  var('description','One-line description of the package'),
  var('author', 'Author name',default='Fabrice Monaco'),
  var('author_email', 'Author email',default='fmonaco@cirb.irisnet.be'),
  var('keywords', 'Space-separated keywords/tags'),
  var('url', 'URL of homepage',default='http://www.cirb.irisnet.be'),
  var('license_name', 'License name', default='GPL')
  ]
 
  def check_vars(self, vars, command):
   if not command.options.no_interactive and not hasattr(command, '_deleted_once'):
    del vars['package']
    command._deleted_once = True
   return Template.check_vars(self,vars,command)

